// Copyright (c) 2017, Rodsevich. All rights reserved. Use of this source code
// is governed by a BSD-style license that can be found in the LICENSE file.

import 'dart:async';
import 'package:generator_plus/generator_plus.dart';

class DependencyGenerator extends Generator {
  @override
  String get name => "example-dependencies-generator";
  @override
  String get description => " if the generator includes ";
  @override
  List<Dependency> get alwaysNeededDependencies =>
      [new Dependency("github", "any")];
  DependencyGenerator();

  @override
  Map get startingVariables => null;

  @override
  OverridingPolicy get overridePolicy => OverridingPolicy.ALWAYS;

  Future execution() {
    addDependency(new Dependency("gun", "any"));
  }
}
