#!dart
import 'dart:io';
import 'package:generator_plus/generator_plus.dart';
import 'package:generator_plus/annotations.dart';
import 'package:generator_plus/generator_plus_cli.dart';
import 'package:generator_plus/src/generator_base.dart';
import 'package:generator_plus/src/generators/generators.dart';

import "./generator+/generators/prueba.dart";
//@generationBefore("new-generator-import")

class GeneratorPlusPackage extends GeneratorPlus {
  GeneratorPlusPackage() {
    @generationAssignment("new-generator")
    List<Generator> generators = [
      new GeneratorsGenerator(),
      new PruebaGenerator(),
    ];
    addGenerators(generators);
  }
}

main(args) {
  // print("echoMode: ${stdin.echoMode} | lineMode: ${stdin.lineMode}");
  // stdin.echoMode = false;
  // stdin.lineMode = false;
  // print("echoMode: ${stdin.echoMode} | lineMode: ${stdin.lineMode}");
  // stdout.write("mete algun texto: ");
  // String lectura = stdin.readLineSync();
  // stderr.writeln("Metiste: $lectura");
  generatorPlusCli(new GeneratorPlusPackage(), args);
}
