library new_instance_test;

import 'dart:developer';
import "dart:mirrors";
import "generator+.dart";

int main() {
  // These symbols are the names of the Library, the Class and the constructor for the Class that you want to dynamically load
  final Symbol librarySymbol = const Symbol("generator.plus");
  final Symbol classSymbol = const Symbol("Foo");
  final Symbol constructorSymbol = const Symbol("");

  MirrorSystem mirrorSystem = currentMirrorSystem();

  // // Buscar las librerias desponibles para mirrorear que empiecen con...
  // String cadena_busqueda = "package:debu";
  // currentMirrorSystem().libraries.forEach((q, l) {
  //   if (q.toString().startsWith(cadena_busqueda)) print(q);
  // });
  // Get LibraryMirror for Library foo_library.
  // It returns an iterator, get the first LibraryMirror
  LibraryMirror libraryMirror = mirrorSystem.findLibrary(librarySymbol);
  assert(libraryMirror is LibraryMirror);
  print(libraryMirror.declarations.length);
  debugger();

  // Get ClassMirror for Class Foo
  ClassMirror classMirror = libraryMirror.declarations[classSymbol];

  // Get the InstanceMirror using the default constructor
  InstanceMirror testClassInstanceMirror =
      classMirror.newInstance(constructorSymbol, []);

  // //Get the reflectee object from the InstanceMirror
  // Foo foo = testClassInstanceMirror.reflectee;
  //
  // print(foo.bar);
  // //Set bar and print it
  // foo.bar = "foobar";
  // print(foo.bar);
}
